/*
	Ninja Library
	
	COPYRIGHT (C) SEGA ENTERPRISES,LTD.

*/
#ifndef _NJDEBUG_H_
#define _NJDEBUG_H_

#define NJM_GET_X(n)        ((Sint16)((n)>>16))
#define NJM_GET_Y(n)        ((Sint16)((n)&0x0000FFFF))
#define NJM_LOCATION(x,y)	((x)<<16|(y))

/************************/
/*	 Debug Font Funcion	*/
/************************/
void 	njInitPrint(Sint8 *pTexture,Uint32 size,Uint32 attr);
void 	njExitPrint(void);
void	njPrintSize(Uint16 size);
void	njPrintColor(Uint32 c);
void	njPrintC(Int loc,const char *s);
void	njPrintD(Int loc,Int val,Int digit);
void	njPrintB(Int loc,Uint32 val,Int digit);
void	njPrintH(Int loc,Uint32 val,Int digit);
void	njPrintF(Int loc,Float val,Int digit);
void	njPrint(Int loc,const char *fmt, ...);

#endif